> This page is for 平台, version V4 (default).
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - V4 实验版: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - 旧版: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# 创建项目

POST https://api.frame.io/v4/accounts/{account_id}/workspaces/{workspace_id}/projects
Content-Type: application/json

Create project in a given workspace. Rate Limits: 10 calls per 1.00 minute(s) per account\_user

Reference: https://next.developer.frame.io/platform/api-reference/projects/create

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account_id` (string, required)
- `workspace_id` (string, required)

### Body (application/json)

This endpoint expects a ProjectParams.

- `data` (ProjectParamsData, required)

## Response

### 201

Created

- `data` (Project, required) — Frame.io Project

## Errors

### 400 Bad Request Error

Bad request

- `errors` (list of BadRequestErrorsItems, required)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of UnauthorizedErrorsItems, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of ForbiddenErrorsItems, required)

### 404 Not Found Error

Not found

- `errors` (list of NotFoundErrorsItems, required)

### 409 Conflict Error

Conflict

- `errors` (list of ConflictErrorsItems, required)

### 422 Unprocessable Entity Error

Unprocessable content

- `errors` (list of UnprocessableContentErrorsItems, required)

### 429 Too Many Requests Error

Too many requests

- `errors` (list of TooManyRequestsErrorsItems, required)

## Types

### ProjectParamsData

- `name` (string, required) — Project Name
- `restricted` (boolean, optional) — Whether the project is restricted or not

### Project

Frame.io Project

- `created_at` (string, required) — Created Timestamp
- `id` (string, required) — Project ID
- `name` (string, required) — Project Name
- `root_folder_id` (string, required) — Root Folder ID
- `status` (enum, required) — Project Status
  - Allowed values: `active`, `inactive`
- `storage` (integer, required, default: 0) — Storage Usage
- `updated_at` (string, required) — Updated Timestamp
- `view_url` (string, required) — URL to view the project in the Frame.io web application
- `workspace_id` (string, required) — Workspace ID
- `adobe_id` (string, optional, nullable) — Adobe cloud storage directory ID associated with the project, when available.
- `image` (string, optional, nullable) — URL of the project image (icon). Null when no image has been uploaded.
- `restricted` (boolean, optional) — Whether the project is restricted or not

### BadRequestErrorsItems

- `detail` (string, required)
- `source` (BadRequestErrorsItemsSource, optional)
- `title` (string, optional)

### UnauthorizedErrorsItems

- `detail` (string, required)
- `source` (UnauthorizedErrorsItemsSource, optional)
- `title` (string, optional)

### ForbiddenErrorsItems

- `detail` (string, required)
- `source` (ForbiddenErrorsItemsSource, optional)
- `title` (string, optional)

### NotFoundErrorsItems

- `detail` (string, required)
- `source` (NotFoundErrorsItemsSource, optional)
- `title` (string, optional)

### ConflictErrorsItems

- `detail` (string, required)
- `source` (ConflictErrorsItemsSource, optional)
- `title` (string, optional)

### UnprocessableContentErrorsItems

- `detail` (string, required)
- `source` (UnprocessableContentErrorsItemsSource, optional)
- `title` (string, optional)

### TooManyRequestsErrorsItems

- `detail` (string, required)
- `source` (TooManyRequestsErrorsItemsSource, optional)
- `title` (string, optional)

### BadRequestErrorsItemsSource

- `pointer` (string, optional)

### UnauthorizedErrorsItemsSource

- `pointer` (string, optional)

### ForbiddenErrorsItemsSource

- `pointer` (string, optional)

### NotFoundErrorsItemsSource

- `pointer` (string, optional)

### ConflictErrorsItemsSource

- `pointer` (string, optional)

### UnprocessableContentErrorsItemsSource

- `pointer` (string, optional)

### TooManyRequestsErrorsItemsSource

- `pointer` (string, optional)

## Examples

**Request**

```json
{
  "data": {
    "name": "Project Name",
    "restricted": true
  }
}
```

**Response**

```json
{
  "data": {
    "created_at": "2024-01-25T19:18:29.614189Z",
    "id": "540c373c-9ab9-42a4-abc4-dd9938ad9900",
    "name": "My Project",
    "root_folder_id": "0c2cc52e-1619-4bce-a200-4264b37009c4",
    "status": "active",
    "storage": 15000,
    "updated_at": "2024-02-07T16:44:41.986478Z",
    "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/",
    "workspace_id": "cc06d1e9-59b7-498d-97b0-78e44a04c124",
    "adobe_id": "urn:aaid:sc:US:9f4e4d7a-4b6b-4c4f-9f00-b31a91cfc6f3",
    "image": "https://picture.frame.io/image/convert/frameio-uploads-development/projects/d5e6011c-2bc9-4596-be05-77d562627112/project_image_original.png",
    "restricted": false
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.frame.io/v4/accounts/17ba74f7-7a14-43e2-9987-fedcbb093229/workspaces/f02b1900-6837-4f82-86e6-3514c07091d0/projects"

payload = { "data": {
        "name": "Project Name",
        "restricted": True
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v4/accounts/17ba74f7-7a14-43e2-9987-fedcbb093229/workspaces/f02b1900-6837-4f82-86e6-3514c07091d0/projects';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"name":"Project Name","restricted":true}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v4/accounts/17ba74f7-7a14-43e2-9987-fedcbb093229/workspaces/f02b1900-6837-4f82-86e6-3514c07091d0/projects"

	payload := strings.NewReader("{\n  \"data\": {\n    \"name\": \"Project Name\",\n    \"restricted\": true\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v4/accounts/17ba74f7-7a14-43e2-9987-fedcbb093229/workspaces/f02b1900-6837-4f82-86e6-3514c07091d0/projects")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"name\": \"Project Name\",\n    \"restricted\": true\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.frame.io/v4/accounts/17ba74f7-7a14-43e2-9987-fedcbb093229/workspaces/f02b1900-6837-4f82-86e6-3514c07091d0/projects")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"name\": \"Project Name\",\n    \"restricted\": true\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.frame.io/v4/accounts/17ba74f7-7a14-43e2-9987-fedcbb093229/workspaces/f02b1900-6837-4f82-86e6-3514c07091d0/projects', [
  'body' => '{
  "data": {
    "name": "Project Name",
    "restricted": true
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v4/accounts/17ba74f7-7a14-43e2-9987-fedcbb093229/workspaces/f02b1900-6837-4f82-86e6-3514c07091d0/projects");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"name\": \"Project Name\",\n    \"restricted\": true\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "name": "Project Name",
    "restricted": true
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/17ba74f7-7a14-43e2-9987-fedcbb093229/workspaces/f02b1900-6837-4f82-86e6-3514c07091d0/projects")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```